/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.managementcenter.activiti.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.managementcenter.activiti.entity.ConstructionUpload;
import com.jeeplus.modules.sg.managementcenter.activiti.entity.UploadImages;

import java.util.List;

/**
 * 施工交底MAPPER接口
 * @author
 * @version 2019-11-08
 */

@MyBatisMapper
public interface UploadImagesMapper extends BaseMapper<UploadImages> {
    List<UploadImages> findMaterialImg(UploadImages entity);

    //根据流程定义号查询
    String findPathByProcInsID(String procInsId);

    String findProjectNameByProcInsId(String procInsId);

    //施工交底流程
    UploadImages findJdById(String procInsId);
    //领料流程
    UploadImages findWzById(String procInsId);
    //施工验收流程
    UploadImages findSgById(String procInsId);

    void saveUpload(UploadImages uploadImages);

    /**
     * 政策处理上传政策书及缴费单
     */
    List<ConstructionUpload> findConList(ConstructionUpload constructionUpload);

    /**
     * 保存政策处理上传政策书及缴费单
     */
    void conUpdateSave(ConstructionUpload constructionUpload);

    /**
     * 修改政策处理上传政策书及缴费单
     * */
    void updateConUpload(ConstructionUpload constructionUpload);

    /**
     * 通过id获取政策处理上传政策书及缴费单
     * */
    ConstructionUpload getConUpload(ConstructionUpload constructionUpload);

    void delConUpload(ConstructionUpload constructionUpload);
}